Border between tabs and navigation toolbar needs to be part of the navigation toolbar
Created attachment 469396
patch

For bug 589259, the border between tabs and navigation toolbar needs to be part of the navigation toolbar instead of the tabs toolbar.

Since the selected tab is expected to overlay this border, it needs to be shifted down, and the parent scrollbox needs to support this as it would otherwise cut off the tab due to overflow:hidden.